### Method

# Gimp ProcedureConfig save_metadata

#### Declaration [src]

    void
    gimp_procedure_config_save_metadata (
      GimpProcedureConfig* config,
      GimpImage* exported_image,
      GFile* file
    )

#### Description [src]

already called from `gimp_procedure_config_end_export()`.

Only use this function if the `GimpMetadata` returned by `gimp_procedure_config_begin_run()` needs to be written at a specific point of the export, other than its end.

This function syncs back `config`‘s export properties to the metadata’s `GimpMetadataSaveFlags` and writes the metadata to `file` using `gimp_image_metadata_save_finish()`.

The metadata is only ever written once. If this function has been called explicitly, it will do nothing when called a second time from `gimp_procedure_config_end_export()`.

Available since: | 3.0

#### Parameters

`exported_image` | `GimpImage`
| The image that was actually exported.
| The data is owned by the caller of the function.
`file` | `GFile`
| The file `exported_image` was written to.
| The data is owned by the caller of the function.